shouldPrint {data.table} | R Documentation

## For use by packages that mimic/divert auto printing e.g. IRkernel and knitr

### Description

Not for use by users. Exported only for use by IRkernel (Jupyter) and knitr.

### Usage

      shouldPrint(x)

### Arguments

`x` | A `data.table`.

### Details

Should IRkernel/Jupyter print a data.table returned invisibly by DT[,:=] ? This is a read-once function since it resets an internal flag. If you need the value more than once in your logic, store the value from the first call.

### Value

TRUE or FALSE.

### References

https://github.com/IRkernel/IRkernel/issues/127
https://github.com/Rdatatable/data.table/issues/933

[Package data.table version 1.10.0 Index]